This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 499595 - virt-viewer mixes up password and username credentials for VNC
virt-viewer mixes up password and username credentials for VNC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-viewer (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-07 07:22 EDT by Daniel Berrange
Modified: 2009-07-23 14:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.0.3-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 14:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix credential handling (1.12 KB, patch)
2009-05-07 08:07 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2009-05-07 07:22:56 EDT
Description of problem:
When giving credentials to GTK-VNC, it gets mixed up and gives it the username twice, instead of username+password. It thus fails to authenticate against VNC server

Version-Release number of selected component (if applicable):
0.0.3

How reproducible:
Always

Steps to Reproduce:
1. Configure QEMU to use SASL + Digest-MD5
2. virt-viewer -c qemu+ssh://root@somehost/system --direct rhel5xen
3.
  
Actual results:
Fails to connect after prompting for username+password

Expected results:
Successfully auths

Additional info:
Comment 1 Daniel Berrange 2009-05-07 08:07:40 EDT
Created attachment 342830 [details]
Fix credential handling
Comment 2 Daniel Berrange 2009-05-07 08:14:12 EDT
Built in virt-viewer-0.0.3-5.fc11
Comment 3 Fedora Update System 2009-05-26 11:13:16 EDT
virt-viewer-0.0.3-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/virt-viewer-0.0.3-5.fc11
Comment 4 Fedora Update System 2009-05-27 15:06:48 EDT
virt-viewer-0.0.3-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-viewer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5519
Comment 5 Bug Zapper 2009-06-09 11:18:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2009-07-19 06:19:47 EDT
virt-viewer-0.0.3-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-viewer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5519
Comment 7 Fedora Update System 2009-07-23 14:58:46 EDT
virt-viewer-0.0.3-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.